Subject: bug#64153: /gnu/store/23j6bl1dmdjx8s57h7lyb5pwdxhrppdv-python-numpy-documentation-1.23.2.drv BUILD ERROR

From: Giovanni Biscuolo <[email-masked]>
Date: Mon, 19 Jun 2023 17:23:38 +0200

Hello FrancisMB,

francismb <[email-masked]> writes:

> Dear Maintainers,
> 'python-numpy-documentation' installation failed:
>
> # guix install python-numpy-documentation
> The following package will be installed:
>     python-numpy-documentation 1.23.2

please can you provide us the output of "guix describe" (if you have not
"guix pull" meanwhile)

this is my current guix description:
--8<---------------cut here---------------start------------->8---

Generation 151  giu 14 2023 17:10:10    (current)
  guix 7c12255
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 7c12255eb9fdd73b481c3c588b02809abd633be8

--8<---------------cut here---------------end--------------->8---

I also tried to build that package on my x86_64:

--8<---------------cut here---------------start------------->8---

guix build --no-offload python-numpy-documentation

--8<---------------cut here---------------end--------------->8---

but I got a different derivation and a different build error:

--8<---------------cut here---------------start------------->8---

[231] [232]
Chapter 10.
[233]
! Missing number, treated as zero.
<to be read again> 
                   *
l.18951 \begin{footnote}[*]
                           \sphinxAtStartFootnote
? 
! Emergency stop.
<to be read again> 
                   *
l.18951 \begin{footnote}[*]
                           \sphinxAtStartFootnote
Output written on numpy-user.pdf (237 pages).
Transcript written on numpy-user.log.
Latexmk: Index file 'numpy-user.idx' was written
Latexmk: References changed.
Collected error summary (may duplicate other messages):
  pdflatex: Command for 'pdflatex' gave return code 1
      Refer to 'numpy-user.log' for details
Latexmk: Use the -f option to force complete processing,
 unless error was exceeding maximum runs, or warnings treated as errors.
Latexmk: Examining 'numpy-user.log'
=== TeX engine is 'XeTeX'
Latexmk: Errors, so I did not complete making targets
make: *** [Makefile:29: numpy-user.pdf] Error 12
make: Leaving directory '/tmp/guix-build-python-numpy-documentation-1.23.2.drv-0/numpy-1.23.2/doc/build/latex'
error: in phase 'install': uncaught exception:
%exception #<&invoke-error program: "make" arguments: ("-C" "build/latex" "all-pdf" "SPHINXOPTS=-j8") exit-status: 2 term-signal: #f stop-signal: #f> 
phase `install' failed after 1660.3 seconds
command "make" "-C" "build/latex" "all-pdf" "SPHINXOPTS=-j8" failed with status 2
builder for `/gnu/store/91f8pgl53m7vm5zxvzwhmf4w9gc63x3s-python-numpy-documentation-1.23.2.drv' failed with exit code 1
build of /gnu/store/91f8pgl53m7vm5zxvzwhmf4w9gc63x3s-python-numpy-documentation-1.23.2.drv failed
Could not find build log for '/gnu/store/91f8pgl53m7vm5zxvzwhmf4w9gc63x3s-python-numpy-documentation-1.23.2.drv'.
guix build: errore: build of `/gnu/store/91f8pgl53m7vm5zxvzwhmf4w9gc63x3s-python-numpy-documentation-1.23.2.drv' failed

--8<---------------cut here---------------end--------------->8---

This error is the same from the Guix CI:
https://ci.guix.gnu.org/build/1476486/log/raw
(via https://ci.guix.gnu.org/search?query=python-numpy-documentation)

Thanks, Gio'

-- 
Giovanni Biscuolo

Xelera IT Infrastructures